Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.pmease.quickbuild.repository
Class CvsRepositoryFacade

    java.lang.Object
      com.pmease.quickbuild.repository.CvsRepositoryFacade

All Implemented Interfaces:
  java.io.Serializable

public class CvsRepositoryFacade
extends java.lang.Object
implements java.io.Serializable

Facade class for CvsRepository. Repository implementation for CVS.

See Also:
  Serialized Form

Constructor Summary
`CvsRepositoryFacade()`

Method Summary
`java.lang.String` | `getCvsExecutablePath()` OGNL: Path to your cvs executable.
`java.lang.String` | `getCvsPassword()` OGNL: The CVS password for above Cvs root if connecting using pserver protocol.
`java.lang.String` | `getCvsRoot()` OGNL: The Cvs root for this project, for example, :pserver:administrator@localhost:d:/cvs_repository.
`java.lang.String` | `getLoginMappingName()` Choose login mapping for this repository.
`java.util.List` | `getModules()`
`java.lang.String` | `getName()` Provide a name for this repository.
`long` | `getQuietPeriod()` Number of seconds current repository should be quiet (without checkins) before QuickBuild decides to check out the code from this repository for a build.
`boolean` | `isCygwinCvs()` OGNL: This property indicates whether or not the cvs executable being used is a cygwin one.
`boolean` | `isDisableHistoryCmd()` OGNL: This property indicates whether or not to disable the history command when performing modification detection.
`boolean` | `isDisableSuppressOption()` OGNL: This property indicates whether or not the \"-S\" option for the log command should be disabled.
`boolean` | `isMoveTagIfAlreadyExist()` OGNL: Specifies whether or not to move the tag if QuickBuild tries to label the repository with an already existing tag.
`boolean` | `isPruneEmptyDirs()` OGNL: Specify whether or not to prune empty directories.
`void` | `setCvsExecutablePath(java.lang.String cvsExecutablePath)`
`void` | `setCvsPassword(java.lang.String cvsPassword)`
`void` | `setCvsRoot(java.lang.String cvsRoot)`
`void` | `setCygwinCvs(boolean cygwinCvs)`
`void` | `setDisableHistoryCmd(boolean disableHistoryCmd)`
`void` | `setDisableSuppressOption(boolean disableSuppressOption)`
`void` | `setLoginMappingName(java.lang.String loginMappingName)`
`void` | `setModules(java.util.List modules)`
`void` | `setMoveTagIfAlreadyExist(boolean moveTagIfAlreadyExist)`
`void` | `setName(java.lang.String name)`
`void` | `setPruneEmptyDirs(boolean pruneEmptyDirs)`
`void` | `setQuietPeriod(long quietPeriod)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CvsRepositoryFacade

    public CvsRepositoryFacade()

Method Detail

### getCvsRoot

    public java.lang.String getCvsRoot()

  OGNL: The Cvs root for this project, for example, :pserver:administrator@localhost:d:/cvs_repository. If you are using ssh, the :ext: protocol will need to be specified, and proper environment need to be setup outside of QuickBuild system.

### setCvsRoot

    public void setCvsRoot(java.lang.String cvsRoot)

### getCvsPassword

    public java.lang.String getCvsPassword()

  OGNL: The CVS password for above Cvs root if connecting using pserver protocol.

### setCvsPassword

    public void setCvsPassword(java.lang.String cvsPassword)

### isPruneEmptyDirs

    public boolean isPruneEmptyDirs()

  OGNL: Specify whether or not to prune empty directories.

### setPruneEmptyDirs

    public void setPruneEmptyDirs(boolean pruneEmptyDirs)

### isCygwinCvs

    public boolean isCygwinCvs()

  OGNL: This property indicates whether or not the cvs executable being used is a cygwin one.

### setCygwinCvs

    public void setCygwinCvs(boolean cygwinCvs)

### isDisableSuppressOption

    public boolean isDisableSuppressOption()

  OGNL: This property indicates whether or not the \"-S\" option for the log command should be disabled. The -S option used in the log command can speed up modification detection, however some earlier versions of Cvs do not support this option. In this case you should disable it.

### setDisableSuppressOption

    public void setDisableSuppressOption(boolean disableSuppressOption)

### isDisableHistoryCmd

    public boolean isDisableHistoryCmd()

  OGNL: This property indicates whether or not to disable the history command when performing modification detection. Using the history command in conjunction with the log command can speed up modification detection, however some Cvs repositories may not hold history information of commits. In this case you should disable it.

### setDisableHistoryCmd

    public void setDisableHistoryCmd(boolean disableHistoryCmd)

### isMoveTagIfAlreadyExist

    public boolean isMoveTagIfAlreadyExist()

  OGNL: Specifies whether or not to move the tag if QuickBuild tries to label the repository with an already existing tag.

### setMoveTagIfAlreadyExist

    public void setMoveTagIfAlreadyExist(boolean moveTagIfAlreadyExist)

### getCvsExecutablePath

    public java.lang.String getCvsExecutablePath()

  OGNL: Path to your cvs executable. For example: C:\\program files\\cvsnt\\cvs.exe.
  It should be specified here, if it does not exist in the system path.

### setCvsExecutablePath

    public void setCvsExecutablePath(java.lang.String cvsExecutablePath)

### getQuietPeriod

    public long getQuietPeriod()

  Number of seconds current repository should be quiet (without checkins) before QuickBuild decides to check out the code from this repository for a build. This is used to avoid checking out code in the middle of some other checkins. This property is optional. When set as 0, quiet period will not be used before checking out code to build.

### setQuietPeriod

    public void setQuietPeriod(long quietPeriod)

### getName

    public java.lang.String getName()

  Provide a name for this repository.

### setName

    public void setName(java.lang.String name)

### getModules

    public java.util.List getModules()

### setModules

    public void setModules(java.util.List modules)

### getLoginMappingName

    public java.lang.String getLoginMappingName()

  Choose login mapping for this repository. Login mapping is used to map repository login to QuickBuild user. It can be configured at \"login mappings\" tab of the configuration.

### setLoginMappingName

    public void setLoginMappingName(java.lang.String loginMappingName)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005 PMEase Inc. All Rights Reserved.